org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class ElementMapStep<K,E>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep<S,E>
  - - org.apache.tinkerpop.gremlin.process.traversal.step.map.MapStep<S,E>
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.ScalarMapStep<Element,Map<K,E>>
      - - org.apache.tinkerpop.gremlin.process.traversal.step.map.ElementMapStep<K,E>

- All Implemented Interfaces:
    Serializable, AutoCloseable, Cloneable, Iterator<Traverser.Admin<Map<K,E>>>, Step<Element,Map<K,E>>, GraphComputing, TraversalParent

      public class ElementMapStep<K,E>
      extends ScalarMapStep<Element,Map<K,E>>
      implements TraversalParent, GraphComputing

  Converts a `Element` to a `Map`.
  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Daniel Kuppitz (http://gremlin.guru), Stephen Mallette (http://stephen.genoprime.com)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String[]` | `propertyKeys`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `id, labels, nextEnd, nextStep, previousStep, starts, traversal, traverserStepIdAndLabelsSetByChild`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementMapStep(Traversal.Admin traversal, String... propertyKeys)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getPropertyKeys()`
    `Set<TraverserRequirement>` | `getRequirements()` Provide the necessary `TraverserRequirement` that must be met by the traverser in order for the step to function properly.
    `protected Map<Object,Object>` | `getVertexStructure(Vertex v)`
    `int` | `hashCode()`
    `boolean` | `isOnGraphComputer()`
    `protected Map<K,E>` | `map(Traverser.Admin<Element> traverser)`
    `void` | `onGraphComputer()` The step will be executing on a `GraphComputer`.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.ScalarMapStep

      `processNextStart`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `addLabel, addStart, addStarts, clone, equals, getId, getLabels, getNextStep, getPreviousStep, getStarts, getTraversal, hasNext, hasStarts, isTraverserStepIdAndLabelsSetByChild, next, prepareTraversalForNextStep, removeLabel, reset, setId, setNextStep, setPreviousStep, setTraversal`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.TraversalParent

      `addGlobalChild, addLocalChild, asStep, close, getGlobalChildren, getLocalChildren, getSelfAndChildRequirements, integrateChild, removeGlobalChild, removeLocalChild, replaceLocalChild`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.GraphComputing

      `atMaster, atMaster`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Step

      `equals`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Field Detail

    - #### propertyKeys

          protected final String[] propertyKeys

  - ### Constructor Detail

    - #### ElementMapStep

          public ElementMapStep(Traversal.Admin traversal,
                                String... propertyKeys)

  - ### Method Detail

    - #### map

          protected Map<K,E> map(Traverser.Admin<Element> traverser)

      Specified by:
        `map` in class `ScalarMapStep<Element,Map<K,E>>`

    - #### getVertexStructure

          protected Map<Object,Object> getVertexStructure(Vertex v)

    - #### onGraphComputer

          public void onGraphComputer()

      Description copied from interface: `GraphComputing`
      The step will be executing on a `GraphComputer`.
      Specified by:
        `onGraphComputer` in interface `GraphComputing`

    - #### isOnGraphComputer

          public boolean isOnGraphComputer()

    - #### getPropertyKeys

          public String[] getPropertyKeys()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractStep<Element,Map<K,E>>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractStep<Element,Map<K,E>>`

    - #### getRequirements

          public Set<TraverserRequirement> getRequirements()

      Description copied from interface: `Step`
      Provide the necessary `TraverserRequirement` that must be met by the traverser in order for the step to function properly. The provided default implements returns an empty set.
      Specified by:
        `getRequirements` in interface `Step<Element,Map<K,E>>`
      Returns:
        the set of requirements

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.